Page MenuHomePhabricator

Requesting access to stat1003, stat1002 and bast1001 for Dstrine
Closed, ResolvedPublic

Description

On wikitech:
Username: Dstrine
Shell: dstrine
Full name: David Strine

Can you make me a member of: statistics-privatedata-users , researcher, and statistics-users groups

I would also like hue access as well.

Reason: As a product manager for the fundraising tech team, I need to be able to access basic user data to evaluate the feature I am working on. My manager is Katie Horn (@K4-713 ,).

I am copying this from T115666 as I need the same access.

Event Timeline

DStrine created this task.Apr 28 2016, 9:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2016, 9:46 PM

I just signed L3

DStrine updated the task description. (Show Details)Apr 28 2016, 9:48 PM
Dzahn triaged this task as Normal priority.Apr 29 2016, 12:02 AM
Dzahn added a subscriber: Dzahn.Apr 29 2016, 1:25 AM

@DStrine While we are awaiting manager approval, you could already create a SSH keypair and upload the public part here on the ticket. That would allow us to start creating the needed code changes. Thanks

@DStrine While we are awaiting manager approval, you could already create a SSH keypair and upload the public part here on the ticket. That would allow us to start creating the needed code changes. Thanks

@Dzahn I'm not sure how to do this. Are there instructions posted somewhere?

K4-713 added a comment.May 4 2016, 4:46 PM

I approve this access request.

Dzahn added a comment.May 4 2016, 5:00 PM

@DStrine This is about Gerrit but the "Generate a new SSH key" section applies for production as well. Use the "ssh-keygen" command, set a passphrase and once it's done generating, keep the private part safe and give us the public (.pub) part please.

thanks @Dzahn

here it is:
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC3N4d9IDAb//Aq4NG4I2L5EXPpJDHnTg/+O1tOsuNWJUV9NvaNjzB5aZZ3hnZOS5OoTU6Lf0d8FWV5zmmVVj+RSGxxd4RrLFqFKlkbDJAyyGBsqKlYwMv0lgd/etbgx/5beW4zj6Y1wxG9pd+dpaDVDnG1JQEy7u3kaqRAylm1t5o0zMtxEhcOmxXM3hRI4h/YGC472bD4tP5pBb066zFgdEpNzRUKSAJwpx/WOqI7nhsPtXpzWsBXS7FwW1UvMUxpOLTTtfJv61u8f/Y20GPDiS2mUSG5ifNhQg0nhLIdLK6FZO5LGBKzbZ2oDYtM66ZrY7ClATaku3Hm1ZKO6SJR your_email@youremail.com

Dzahn added a comment.May 5 2016, 4:45 PM

@DStrine thanks, that looks good. btw, the "your_email@" part at the end is just like a label for it, we can change that to your actual email address. one more question, have you ever logged in on wikitech.wikimedia.org wiki before / do you have a "Labs" or Gerrit user?

Dzahn added a comment.May 5 2016, 4:56 PM

@DStrine thanks, i found it. you already have one. I asked that because we like to use the same UID as in labs to prevent duplicates.

uidNumber: 14098
..
sn: Dstrine

Change 287114 had a related patch set uploaded (by Dzahn):
admin: add user account for David Strine

https://gerrit.wikimedia.org/r/287114

@Dzahn I have a wikitech account but I have never used Gerrit. Will I need to? As you can tell I'm not an engineer. This task is my first step to learning sql :)

Dzahn added a comment.May 5 2016, 5:08 PM

@DStrine It's great that you have a wikitech account, i would have asked you to create one otherwise. But that was only to find that user ID to make your account.. No worries, you don't have to use Gerrit to get the data you need.

Change 287114 merged by Dzahn:
admin: add user account for David Strine

https://gerrit.wikimedia.org/r/287114

@Muehlenhoff i created the user, could you confirm and add him to the right groups for the actual access

Change 287175 had a related patch set uploaded (by Muehlenhoff):
Add dstrine to bastiononly, researchers, statistics-privatedata-users, statistics-users groups

https://gerrit.wikimedia.org/r/287175

Approved by manager, waiting period has passed.

Change 287175 merged by Muehlenhoff:
Add dstrine to bastiononly, researchers, statistics-privatedata-users, statistics-users groups

https://gerrit.wikimedia.org/r/287175

MoritzMuehlenhoff closed this task as Resolved.May 6 2016, 8:15 AM
MoritzMuehlenhoff claimed this task.

@DStrine I merged a patch to enable your access. Catch me on IRC or follow up on this task if you run into any problems.